Subject: frameset to save/restore frames on the right workspace in virtual desktops

From: Glenn Morris <[email-masked]>
Date: Tue, 08 Jul 2014 01:53:27 -0400

Package: emacs
Version: 24.4
Severity: wishlist

Is there any hope of frameset.el (or Emacs in general) being able to
learn about virtual desktops with multiple workspaces?

I might not have the terminology right. I mean that with eg Xfce, I have
multiple workspaces with different windows on each. I usually have
frames from a single Emacs instance on each workspace. When desktop
restores them, they all get restored onto the current workspace. The
ones that were on different workspaces seem to be restored iconified.
This makes the feature not too useful.

I suspect this might be difficult/impossible, because eg Firefox doesn't
manage it (it behaves the same as Emacs does).